> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/rest-api/data-feeds/reference-data/basic-tier/blockchain-codes.md).

# Blockchain codes

{% hint style="info" %}
You can explore all exchanges, assets, and get codes for them using our [instrument explorer](https://instruments.kaiko.com/#/instruments). Alternatively, if you want to obtain the data in a more programmatic way, use this endpoint.
{% endhint %}

### What is this endpoint for?

This endpoint retrieves the list of blockchains and associated codes.

### Endpoint

```
https://reference-data-api.kaiko.io/v1/blockchains
```

### Parameters

No parameters supported

### Fields

| Field    | Description                                  |
| -------- | -------------------------------------------- |
| `id`     | The blockchain's id in our reference data.   |
| `name`   | The blockchain's name in our reference data. |
| `is_evm` | If the blockchain is EVM-Compatible or not.  |

### Request example

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```url
curl --compressed -H 'Accept: application/json' 'https://reference-data-api.kaiko.io/v1/blockchains'
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response example

{% tabs %}
{% tab title="JSON" %}
{% code fullWidth="false" %}

```json
{
    "result":"success",
    "count": 10,
    "data":
    [
        {"id":1,"name":"ethereum","is_evm":true},
        {"id":2,"name":"bsc","is_evm":true},
        {"id":3,"name":"polygon","is_evm":true},
        {"id":4,"name":"arbitrum","is_evm":true},
        {"id":5,"name":"avalanche","is_evm":true},
        /* ... */
    ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/data-feeds/reference-data/basic-tier/blockchain-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
